MAP-MBONE(8)

NAME
map-mbone - multicast connection mapper

SYNOPSIS
map-mbone [-d debug_level] [-f] [-g] [-n] [-r retry_count] [-t timeout_count] [starting_router]

DESCRIPTION
Map-mbone attempts to display all multicast routers that are reachable from the multicast starting_router. If not specified on the command line, the default multicast starting_router is the localhost.

Map-mbone traverses neighboring multicast routers by sending the ASK_NEIGHBORS IGMP message to the multicast starting_router. If this multicast router responds, the version number and a list of their neighboring multicast router addresses is part of that response. If the responding router has recent multicast version number, then map-mbone requests additional information such as metrics, thresholds, and flags from the multicast router. For each new occurrence of neighboring multicast router in the reply and provided the flooding option has been selected, then map-mbone asks each of this multicast router for a list of neighbors. This search for unique routers will continue until no new neighboring multicast routers are reported.

The following options are available:

-d  Set the debug level. When the debug level is greater than the default value of 0, addition debugging messages are printed. Regardless of the debug level, an error condition, will always write an error message and will cause map-mbone to terminate. Non-zero debug levels have the following effects:

    level 1
        packet warnings are printed to stderr.

    level 2
        all level 1 messages plus notifications down networks are printed to stderr.

    level 3
        all level 2 messages plus notifications of all packet timeouts are printed to stderr.

-f  Set flooding option. Flooding allows the recursive search of neighboring multicast routers and is enable by default when starting_router is not used.

-g  Set graphing in GraphEd format.

-n  Disable the DNS lookup for the multicast routers names.

-r retry_count
    Set the neighbor query retry limit. Default is 1 retry.

-t timeout_count
    Set the number of seconds to wait for a neighbor query reply before retrying. Default timeout is 2 seconds.

IMPORTANT NOTE
Map-mbone must be run as root.

SEE ALSO
mrinfo(8), mrouted(8), mtrace(8)

AUTHORS
Pavel Curtis